FROM python:3.11

LABEL maintainer="Kirk Trombley <ktrom3894@gmail.com>"

WORKDIR /app/

RUN mkdir ./data/

ENV DATABASE_FILE="/app/data/rollbot.db"

ENV SECRET_FILE="/app/data/secrets.toml"

COPY logging.conf .

COPY ./rollbot/ /app/rollbot

RUN pip3 install -e /app/rollbot

COPY ./commands/ /app/commands

RUN pip3 install -e /app/commands

COPY ./drivers/discord_driver.py .

RUN pip3 install discord.py toml

CMD python3 discord_driver.py
